package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**图片表
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.domain
 * @Filename：ModelImage
 * @Description 图片表
 * @Date：2025/1/8 19:35
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("model_image")
public class ModelImage {

    /**
     * 主键ID
     */
    private Long id;
    /**
     * 图片地址（最多8张，切割）
     */
    private Long image_paths;
    /**
     * 是否添加水印
     */
    private Long has_watermark;
    /**
     * 是否会员下载
     */
    private Long is_member_download;
    /**
     * 是否不可下载
     */
    private Long is_not_downloadable;
    /**
     * 是否隐藏生成信息
     */
    private Long hide_gen_info;
    /**
     * 图片标题（最多30字）
     */
    private Long title;
    /**
     * 图片标签（多个，切割）
     */
    private Long tags;
    /**
     * 描述信息（最多500）
     */
    private Long description;
    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private Long del_flag;
}
